[PyVault-users] install python22-2.2.3-7.src.rpm on FC2

PoWah Wong wong_powah at yahoo.ca
Tue Dec 6 23:40:09 CET 2005


I want to install python22-2.2.3-7.src.rpm on FC2
(because my yum is broken) but the installation
failed.
How to fix the installation problem?
I included all the error messages below because I
don't know which are the most useful.

# yum install gvim
Traceback (most recent call last):
  File "/usr/bin/yum", line 6, in ?
    import yummain
  File "/usr/share/yum-cli/yummain.py", line 23, in ?
    import yum
ImportError: No module named yum

# rpm -i  python22-2.2.3-7.src.rpm
error: cannot create %sourcedir
/usr/src/redhat/SOURCES

# rpmbuild  python22-2.2.3-7.src.rpm
bash: rpmbuild: command not found

# rpm -ivh  rpm-build-4.4.4-0.7.i386.rpm
warning: rpm-build-4.4.4-0.7.i386.rpm: V3 DSA
signature: NOKEY, key ID 2039b291
error: Failed dependencies:
        getconf(GNU_LIBPTHREAD_VERSION) = NPTL is
needed by rpm-build-4.4.4-0.7
        libc.so.6(GLIBC_2.4) is needed by
rpm-build-4.4.4-0.7
        libcrypto.so.6 is needed by
rpm-build-4.4.4-0.7
        libkrb5support.so.0 is needed by
rpm-build-4.4.4-0.7
        libneon.so.24 is needed by rpm-build-4.4.4-0.7
        libpopt.so.0(LIBPOPT_0) is needed by
rpm-build-4.4.4-0.7
        librpm-4.4.so is needed by rpm-build-4.4.4-0.7
        librpm-4.4.so(LIBRPM_0) is needed by
rpm-build-4.4.4-0.7
        librpmbuild-4.4.so is needed by
rpm-build-4.4.4-0.7
        librpmbuild-4.4.so(LIBRPMBUILD_0) is needed by
rpm-build-4.4.4-0.7
        librpmdb-4.4.so is needed by
rpm-build-4.4.4-0.7
        librpmdb-4.4.so(LIBRPMDB_0) is needed by
rpm-build-4.4.4-0.7
        librpmio-4.4.so is needed by
rpm-build-4.4.4-0.7
        librpmio-4.4.so(LIBRPMIO_0) is needed by
rpm-build-4.4.4-0.7
        libsqlite3.so.0 is needed by
rpm-build-4.4.4-0.7
        libssl.so.6 is needed by rpm-build-4.4.4-0.7
        rpm = 4.4.4-0.7 is needed by
rpm-build-4.4.4-0.7

# python -V
Python 2.2.3

# rpm -q rpm-python
rpm-python-4.3.1-0.3

# uname -a
Linux linux-laptop1 2.6.10-1.771_FC2 #1 Mon Mar 28
00:50:14 EST 2005 i686 i686 i386 GNU/Linux


__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 


More information about the PyVault-users mailing list